const test = require('ava')
const uglify = require('./')

test('basic', t => {
  const src = `
    (function () {
      var foo = 'bar'
      var baz = 'qux'
      this.foo = foo + baz
    })()
  `

  const {code, error} = uglify.minify(src)
  t.falsy(error)
  t.truthy(code.length < src.length)
  t.is(code, '!function(){this.foo="barqux"}();')
})
