var domify = require('domify')
var fs = require('fs')
var path = require('path')
var uglify = require('..')

var html = fs.readFileSync(path.join(__dirname, 'template.html'), 'utf-8')
var el = domify(html)
document.body.appendChild(el)

var input = document.getElementById('input')
var run = document.getElementById('run')

input.value = fs.readFileSync(__filename, 'utf-8')
run.onclick = function () {
  var src = input.value
  var res = uglify.minify(src)
  if (res.error) {
    throw res.error
  }
  input.value = res.code
}
